al_draw_line(3)

NAME

al_draw_line - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_primitives.h>
    void al_draw_line(float x1, float y1, float x2, float y2,
       ALLEGRO_COLOR color, float thickness)

DESCRIPTION

Draws a line segment between two points.

Parameters:

•   x1, y1, x2, y2 - Start and end points of the line

•   color - Color of the line

•   thickness - Thickness of the line, pass <= 0 to draw hairline lines

SEE ALSO

al_draw_soft_line(3)